package com.steerinfo.metermonitor.metermonitornote.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.metermonitor.metermonitornote.model.MeterMonitorNote;
import com.steerinfo.meterwork.meterworkmonitor.model.MeterWorkMonitor;
import feign.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface MeterMonitorNoteMapper extends IBaseMapper<MeterMonitorNote, String> {
    List<MeterMonitorNote> selectView(Map<String, Object> parmas);

    List<MeterMonitorNote> selectByTime(Map<String, Object> parmas);

    String getNewID(@Param(value = "afl") String afl);

    List<MeterMonitorNote> selectByType(Map<String, Object> parmas);

    List<MeterMonitorNote> queryLikeNoPage(HashMap<String, Object> params);
}